clear all
close all

% Step test for Model 1 - CSTR
% Created by John Hedengren

global u

% Steady State Initial Conditions for the States
Ca_ss = 0.87725294608097;
T_ss = 324.475443431599;
x0 = [Ca_ss;T_ss];

% Steady State Initial Condition
u_ss = 300;

% Time Interval (min)
tf = linspace(0,10,100);

cool(1) = u_ss;
Ca(1) = Ca_ss;
T(1) = T_ss;
time(1) = 0;
alpha = 0.05;

u = 295;

[t,x] = ode15s('cstr1',tf,x0);

% add measurement noise
time = t;
cool = 300;
Ca = x(:,1);
T = x(:,2);

% Plot the results
figure(1);
subplot(3,1,1)
plot(time,cool);
ylabel('Cooling T (K)')
legend('Jacket Temperature')

subplot(3,1,2)
plot(time,Ca);
ylabel('C_a (K)')
legend('Reactor Concentration')

subplot(3,1,3)
plot(time,T);
ylabel('T (K)')
xlabel('Time (min)')
legend('Reactor Temperature')

%M = [time' cool' Ca' T'];

%save -ascii results.txt M